# $Revision: 1.18 $, $Date: 2012/05/17 12:07:28 $
%define		_realname	thunar-volman
Summary:	Volumes manager for Thunar
Summary(pl.UTF-8):	Zarządca napędów dla Thunara
Name:		Thunar-volman
Version:	0.8.0
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/apps/thunar-volman/0.8/%{_realname}-%{version}.tar.bz2
# Source0-md5:	250af757ea629c7c27f554d17119080c
Patch0:		%{name}-desktop.patch
URL:		http://goodies.xfce.org/projects/thunar-plugins/thunar-volman
BuildRequires:	Thunar-devel >= 1.4.0
BuildRequires:	dbus-glib-devel >= 0.34
BuildRequires:	exo-devel >= 0.8.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel >= 2:2.22.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libxfce4ui-devel >= 4.10.0
BuildRequires:	libxfce4util-devel >= 4.10.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	udev-glib-devel >= 145
BuildRequires:	xfce4-dev-tools >= 4.10.0
BuildRequires:	xfconf-devel >= 4.10.0
Requires:	gtk-update-icon-cache
Requires:	gvfs
Requires:	hicolor-icon-theme
Requires:	Thunar >= 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Thunar Volume Manager is an extension for the Thunar file manager,
which enables automatic management of removable drives and media. For
example, if Thunar-volman is installed and configured properly, and
you plug in your digital camera, it will automatically launch your
preferred photo application and import the new pictures from the
camera into your photo collection.

%description -l pl.UTF-8
Thunar Volume Manager jest rozszerzeniem zarządcy plików Thunar, które
pozwala na automatyczne zarządzanie przenośnych dysków i mediów. Na
przykład, jeżeli Thunar-volman jest zainstalowany i skonfigurowany
poprawnie, przy podłączaniu aparatu cyfrowego automatycznie uruchomi
preferowaną aplikację i zaimportuje nowe zdjęcia z aparatu do kolekcji
zdjęć użytkownika.

%prep
%setup -q -n %{_realname}-%{version}
%patch0 -p1

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/ur_PK

%find_lang %{_realname}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{_realname}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(755,root,root) %{_bindir}/thunar-volman
%attr(755,root,root) %{_bindir}/thunar-volman-settings
%{_desktopdir}/thunar-volman-settings.desktop
%{_iconsdir}/hicolor/*/apps/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: Thunar-volman.spec,v $
Revision 1.18  2012/05/17 12:07:28  baggins
- update md5sum

Revision 1.17  2012/05/17 11:56:00  baggins
- 0.8.0 for xfce 4.10

Revision 1.16  2011/11/21 11:04:06  lisu
- rel 4

Revision 1.15  2011/08/19 00:47:37  ankry
- comment

Revision 1.14  2011/04/26 18:26:05  baggins
- rel 3
- R gvfs

Revision 1.13  2011/04/06 13:31:01  lisu
- rel 2

Revision 1.12  2011/02/16 22:27:34  megabajt
- merged from DEVEL

Revision 1.10.2.3  2011/02/15 19:57:42  megabajt
- updated to 0.6.0

Revision 1.11  2011/02/04 18:24:05  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.10.2.2  2010/11/15 11:39:13  baggins
- BR, install and files fixed

Revision 1.10.2.1  2010/11/15 10:34:42  baggins
- 0.5.2

Revision 1.10  2010/05/16 14:37:01  sparky
- BR: gettext-devel, pkgconfig

Revision 1.9  2010/05/11 11:06:15  baggins
- rel 2
- XFCE only

Revision 1.8  2009/02/28 17:42:49  megabajt
- updated to 0.3.80
- removed obsolete -locale-names.patch and -setup-crypto.patch

Revision 1.7  2008/10/23 22:59:32  baggins
- rel 2
- added support for mounting encrypted volumes

Revision 1.6  2007-12-07 19:58:35  megabajt
- updated to 0.2.0
- added locale-names patch

Revision 1.5  2007-04-09 13:18:30  megabajt
- packaged translations
- release 2

Revision 1.4  2007/03/01 21:26:47  qboosh
- pl fix

Revision 1.3  2007/02/26 00:09:02  adamg
- BR: startup-notification-devel, w3c-libwww-devel

Revision 1.2  2007/02/24 23:54:49  megabajt
- converted to UTF-8
- use %update_icon_cache
- release 1

Revision 1.1  2007/02/24 15:28:31  czarny
- init PLD
